netpanzer (0.8.7+ds-3) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

  [ Reiner Herrmann ]
  * Fix build with Python3-enabled scons. (Closes: #947571)
  * Mark -data package as Multi-Arch: foreign.
  * Point Vcs-* URLs to salsa.
  * Drop watch file; no longer working.
  * Update upstream URLs.
  * Update debhelper compat to 12.
  * Update Standards-Version to 4.5.0:
    - declare that d/rules does not require root
    - drop menu file

 -- Markus Koschany <apo@debian.org>  Sun, 02 Feb 2020 01:25:27 +0100

netpanzer (0.8.7+ds-2) unstable; urgency=medium

  * Team upload.
  * Make the build reproducible.
    Thanks to Reiner Herrmann for the report and patch. (Closes: #827150)
  * Switch to compat level 10.
  * Ensure that the package can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Jan 2017 04:54:05 +0100

netpanzer (0.8.7+ds-1) unstable; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Alexander Reichle-Schmehl ]
  * Removed myself from uploaders.

  [ Markus Koschany ]
  * Moved the package to Git.
  * Imported Upstream version 0.8.7+ds.
  * Switch to source format 3.0 (quilt).
  * Update watch file.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Use compat level 9 and require debhelper >= 9.
  * Remove quilt from Build-Depends.
  * Use canonical Vcs URLs.
  * Update Homepage field to new address.
    Thanks to Sandro Tosi for the report. (Closes: #773998)
  * Drop netpanzer-dbg package because it was replaced by the automatic -dbgsym
    package.
  * d/control: netpanzer-data: Change Recommends netpanzer to Suggests.
  * Drop dirs file.
  * Drop superfluous install file.
  * Simplify debian/rules and switch to dh sequencer.
  * Drop desktop.diff and gcc-4.3.diff. Obsolete.
  * Rebase use-system-libs.patch.
  * Add system-physfs.patch and use Debian's physfs library.
  * Add system-lua.patch and use Debian's lua5.1 library.
  * Install netpanzer.png to hicolor directory and add netpanzer.xpm to debian
    directory.
  * Add desktop-file.patch and create a valid desktop file.
  * Do not install tipsoftheday anymore. It is gone.
  * Add dh_installchangelogs override and install the old changelog.
  * Add hardening.patch and use Debian's system build flags.
  * Update debian/copyright to copyright format 1.0.
  * export DEB_BUILD_MAINT_OPTIONS = hardening=+all.

 -- Markus Koschany <apo@debian.org>  Sun, 05 Jun 2016 11:46:40 +0200

netpanzer (0.8.4.debian.1-1.2) unstable; urgency=medium

  * Non maintainer upload.
  * Move b-d libpng12-dev to libpng-dev to ease png transition.
    (Closes: #662443)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 15:29:35 +0100

netpanzer (0.8.4.debian.1-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * fix Vcs-Svn URL to point to svn, not the incomplete ssh location

  [ Ansgar Burchardt
  * Fix Watchfile

  [ Alexander Reichle-Schmehl ]
  * Add myself as uploader
  * New upstream release (Closes: #595024)
  * Add get-orig-source to debian/rules
  * The package uses now scons as build system; adapt build depends and
    debian/rules accordingly
    * Also adapt build-depends for embedded libs, which we would not like
      to use
  * Add ${misc:Depends} to all Package dependencies
  * Move netpanzer-dbg into section debug
  * Add recommended targets build-arch and build-indep to debian/rules
  * Add debian/README.source
  * Update debian/copyright
  * Bump standards to 3.9.2 (no further changes needed)
  * Fix Vcs-Browser URL after alioth move

  [ Paul Wise ]
  * Add debian/pathces/use-system-libs.patch to use system libraries
    instead of embedded ones

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 20 Jan 2012 13:27:17 +0100

netpanzer (0.8.2-2) unstable; urgency=low

  [ Barry deFreese ]
  * Add watch file
  * Add Homepage and VCS fields to control
  * Add myself to uploaders
  * Bump Standards Version to 3.7.3 (no changes needed)

  [ Gonéri Le Bouder ]
  * dpkg-buildpackage -B doesn't create arch all package anymore
  * clean quilt .pc directory and config.log
  * add desktop.diff to remove the invalid category Application
  * call jam with the -q flag to make it stop building as soon as an error
    append
  * add a missing '#include <algorithm>' in patches/gcc-4.3.diff to fix the
    build with gcc 4.3 (Closes: #462205)
  * remove the homepage URL from the descriptions

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue,  5 Feb 2008 18:34:23 +0100

netpanzer (0.8.2-1) unstable; urgency=low

  * new upstream release (Closes: #294213)
   - merge netpanzer-data and netpanzer like upstream did
   - remove merged patches:
    * 01_gcc4.1.patch
    * 02_setframe_denial_of_service.patch
  * change from pkg-games to Debian Games Team in copyright
   - removed this entry from 0.8+svn20060319-2 changelog entry
  * creates netpanzer-dbg that provide debugging symbol in order to help
    bugchasing (thanks Fabian Fagerholm) (Closes: #401775)
  * netpanze depends on netpanzer-data (= ${source:Version})
  * cdbs simple-patchsys.ml replaced by quilt
  * add Aaron Perez in the debian/copyright
  * add gcc-4.3.diff Thanks again Martin Michlmayr (Closes: #417445)
  * copy a fresh config.{guess,sub} during the build
   + add autotools-dev in builddeps

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 11 Jul 2007 17:02:32 +0200

netpanzer (0.8+svn20060319-2) unstable; urgency=low

  * fix watch file
  * Standards-Version: 3.7.2
  * [CVE-2006-2575] setFrame() Denial of Service Vulnerability
    Closes: #370146
  * switch from dpatch to simple-patchsys

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun,  4 Jun 2006 14:27:45 +0200

netpanzer (0.8+svn20060319-1) unstable; urgency=low

  * New SVN snapshot.
  * Fix security issue against server CAN-2005-2295 (Closes: #318329)
  * Fix FTBFS with g++ 4.1 (Closes: #355739)
  * New maintainer: Debian pkg-games group

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 19 Mar 2006 18:54:02 +0100

netpanzer (0.8+svn20050612-1) unstable; urgency=low

  * New SVN snapshot.
    - fixes crash with not full servers under PowerPC (Closes: #312918)
  * Hints are not long titles. Fixed menu file (Closes: #296877)

 -- Bartosz Fenski <fenio@debian.org>  Sun, 12 Jun 2005 13:48:12 +0200

netpanzer (0.8-1) unstable; urgency=low

  * New upstream version.
  * s/fenio@o2.pl/fenio@debian.org/

 -- Bartosz Fenski <fenio@debian.org>  Wed, 26 Jan 2005 22:45:11 +0100

netpanzer (0.2.0rc4-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@o2.pl>  Mon,  8 Nov 2004 21:08:12 +0100

netpanzer (0.2.0rc3-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@o2.pl>  Wed,  3 Nov 2004 19:47:18 +0100

netpanzer (0.2.0rc1-1) unstable; urgency=low

  * New upstream release:
    - hopefully fixes FTBFS on IA64 & Alpha (Closes: #245815, #267033)
    - fixes FTBFS with gcc-3.4 (Closes: #265528)
    - fixes problem with comparision of timestamps (Closes: #257918)
    - fixes palette generating on powerpc (Closes: #262337)
  * debian/control:
    - removed SDL_net, SDL_ttf and libxml from dependencies
    - removed ${misc:Depends} variable
    - bumped version of needed netpanzer-data
  * Removed all previous patches cause they're now included upstrem,
    thus some changes in debian/rules & debian/control.

 -- Bartosz Fenski <fenio@o2.pl>  Fri, 15 Oct 2004 18:36:11 +0200

netpanzer (0.1.5-8) unstable; urgency=low

  * debian/control:
    - we're now using libphysfs-dev instead of libphysfs0-dev.
  * Applied patch for assertion errors during multiplayer games.
    Thanks for Grzegorz Galazka for providing it. (Closes: #252504)
  * debian/copyright:
    - distinguished copyright from license
  * Added debian/watch file
  * Extended menu file.

 -- Bartosz Fenski <fenio@o2.pl>  Fri, 11 Jun 2004 15:30:11 +0200

netpanzer (0.1.5-7) unstable; urgency=low

  * debian/*
    - using dpatch stuff instead of simple sed hack

 -- Bartosz Fenski <fenio@o2.pl>  Wed,  7 Apr 2004 10:18:12 +0200

netpanzer (0.1.5-6) unstable; urgency=low

  * patched sources instead of providing information about moved irc server
  * debian/rules:
    - we are now calling dh_installman only once
  * debian/*:
    - removed README.Debian
    (thanks for suggestions to Josselin Mouette)

 -- Bartosz Fenski <fenio@o2.pl>  Tue,  6 Apr 2004 16:02:43 +0200

netpanzer (0.1.5-5) unstable; urgency=low

  * First Debian release (Closes: #215783)
  * debian/*:
    - added README.Debian file with information about irc server.

 -- Bartosz Fenski <fenio@o2.pl>  Tue,  6 Apr 2004 13:32:41 +0200

netpanzer (0.1.5-4) unstable; urgency=low

  * debian/control:
    - bumped version of required netpanzer-data (due to modified paths)
  * debian/install && debian/menu:
    - changed path for icon

 -- Bartosz Fenski <fenio@o2.pl>  Sun,  7 Mar 2004 17:50:43 +0200

netpanzer (0.1.5-3) unstable; urgency=low

  * debian/rules:
    - added --datadir=/usr/share/games switch for configure.
  * debian/install && debian/menu:
    - changed path for icon
  * debian/control:
    - added homepage
  * removed icon installation from Jamfile

 -- Bartosz Fenski <fenio@o2.pl>  Sun, 7 Mar 2004 17:50:43 +0200

netpanzer (0.1.5-2) unstable; urgency=low

  * Silently replaced new upstream version.

 -- Bartosz Fenski <fenio@o2.pl>  Tue,  2 Mar 2004 21:12:16 +0200

netpanzer (0.1.5-1) unstable; urgency=low

  * New upstream release.
  * debian/install:
    - changed path to icon (xpm it's now included in upstream version)

 -- Bartosz Fenski <fenio@o2.pl>  Mon,  1 Mar 2004 22:50:26 +0200

netpanzer (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Converted and rescaled icon to xpm/32x32 format
  * debian/rules:
    - added install to move icon to proper place
    - fixed installman, manualpages are now included in upstream release
  * debian/install:
    - added information about icon
  * debian/menu:
    - fixed quotation issues
    - changed name of the game to netPanzer
    - added information about icon
  * debian/control:
    - added libsdl-ttf2.0-dev to Build-Depends
    - changed required version of netpanzer-data

 -- Bartosz Fenski <fenio@o2.pl>  Fri, 27 Feb 2004 11:40:12 +0200

netpanzer (0.1.3-1) unstable; urgency=low

  * New upstream release

 -- Bartosz Fenski <fenio@o2.pl>  Tue, 10 Feb 2004 18:52:23 +0200

netpanzer (0.1.2+cvs20031230-1) unstable; urgency=low

  * CVS update
  * changed homepage
  * added manual page for netpanzerbrowser binary

 -- Bartosz Fenski <fenio@o2.pl>  Mon, 30 Dec 2003 13:52:13 +0200

netpanzer (0.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@o2.pl>  Mon, 10 Nov 2003 20:31:23 +0200

netpanzer (0.1.1+cvs20031110-1) unstable; urgency=low

  * CVS update

 -- Bartosz Fenski <fenio@o2.pl>  Mon, 10 Nov 2003 16:30:22 +0200

netpanzer (0.1.1+cvs20031108-1) unstable; urgency=low

  * CVS update

 -- Bartosz Fenski <fenio@o2.pl>  Sat,  8 Nov 2003 07:50:32 +0200

netpanzer (0.1.1+cvs20031107-1) unstable; urgency=low

  * CVS update

 -- Bartosz Fenski <fenio@o2.pl>  Fri,  7 Nov 2003 17:50:32 +0200

netpanzer (0.1.1-2) unstable; urgency=low

  * fixed path in menu entry
  * added manual page

 -- Bartosz Fenski <fenio@o2.pl>  Sun,  2 Nov 2003 13:30:32 +0200

netpanzer (0.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Bartosz Fenski <fenio@o2.pl>  Fri, 17 Oct 2003 16:48:32 +0200
